relaxngcc.codedom

## Class CDExpression

- java.lang.Object
- - relaxngcc.codedom.CDExpression

Direct Known Subclasses:
  CDCastExpression, CDConstant, CDLanguageSpecificString, CDMethodInvokeExpression, CDObjectCreateExpression, CDVariable

    public abstract class CDExpression
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CDExpression()`

### Method Summary

Methods
`CDObjectCreateExpression` `_new(CDType type)` Creates a new instance of an inner class from this expression.
`CDExpression` `arrayRef(CDExpression index)` Refers to an item of the array
`CDExpression` `arrayRef(int index)`
`CDExpression` `castTo(CDType t)` Casts to another type.
`CDMethodInvokeExpression` `invoke(java.lang.String method)` Invokes a method on this expression.
`CDExpression` `not()` Creates !x
`CDExpression` `prop(java.lang.String name)` Refers to a property of this expression.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDExpression

    public CDExpression()

### Method Detail

#### invoke

    public CDMethodInvokeExpression invoke(java.lang.String method)

Invokes a method on this expression.

#### arrayRef

    public CDExpression arrayRef(CDExpression index)

Refers to an item of the array

#### arrayRef

    public CDExpression arrayRef(int index)

#### prop

    public CDExpression prop(java.lang.String name)

Refers to a property of this expression.

#### not

    public CDExpression not()

Creates !x

#### castTo

    public CDExpression castTo(CDType t)

Casts to another type.

#### _new

    public CDObjectCreateExpression _new(CDType type)

Creates a new instance of an inner class from this expression.